# Method: edits.images.upload

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/upload#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/upload#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/upload#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/upload#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/upload#body.ImagesUploadResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/upload#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/upload#try-it)

Uploads an image of the specified language and image type, and adds to the edit.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://androidpublisher.googleapis.com/upload/androidpublisher/v3/applications/{packageName}/edits/{editId}/listings/{language}/{imageType}`
- Metadata URI, for metadata-only requests:  
  `POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}/listings/{language}/{imageType}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `editId` | `string` Identifier of the edit. |
| `language` | `string` Language localization code (a BCP-47 language tag; for example, "de-AT" for Austrian German). Providing a language that is not supported by the App is a no-op. |
| `imageType` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/AppImageType`)`` Type of the Image. |

### Request body

The request body contains an instance of `ImagesUploadRequestBody`.

### Response body

Response for uploading an image.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "image": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images#Image`) } } ``` |

| Fields ||
|---|---|
| `image` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images#Image`)`` The uploaded image. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`